Copyright: Copyright 1995, Novell, Inc.


Quattro Pro Function Category:
Quattro Pro ALM Functions

Get Quattro Data

Play Quattro Macro

Put Quattro Data


Get Quattro Data

Platform	MS Windows

Action	Retrieves the cell values from an open Quattro Pro spreadsheet, either by cell name or cell reference.  If Quattro Pro is not open, a new worksheet will be opened.

Note:  Quattro Pro cannot be closed under program control once it is opened.

Input Parameters

Cell	The range of cells from which to retrieve data.  Type Required Text

Output Parameters

Value	Returns the data retrieved from the specified cells.  Type Required Text

Flows

Retrieved	Followed after the data is successfully retrieved

Failed	Followed if the data cannot be retrieved


Play Quattro Macro

Platform	MS Windows

Action	Plays a Quattro Pro spreadsheet macro either by file name or by cell reference.  If  Quattro Pro is not open, it will be opened to the specified worksheet or a new worksheet and  remain open.  If Quattro Pro is already open, the specified worksheet will be loaded.

Note:  Quattro Pro cannot be closed under program control once it is opened.

Input Parameters

Macro	Name of the macro to be played.  Type Required Text

FileName	Name of the spreadsheet file the macro is to be played against.  If left blank, the current spreadsheet file will be used.  Type Optional Text

Flows

Done	Followed after the macro has successfully completed


Put Quattro Data

Platform	MS Windows

Action	Places data in Quattro Pro spreadsheet cells, specified by cell name or cell reference.  If Quattro Pro is not open, a new worksheet will be opened.

Note:  Quattro Pro cannot be closed under program control once it is opened.

Parameters

Cell	The cell, or range of cells, in which the data is to be placed.  Type Required Text

Text	The data to be placed in the cell.  Type Required Text

Flows

Placed	Followed after the data is successfully placed.

Failed	Followed if the data cannot be placed.